import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { MissingTeethStatusSchema } from '../enums/MissingTeethStatus.schema'

const nestedenummissingteethstatusfilterSchema = z.object({
  equals: MissingTeethStatusSchema.optional(),
  in: MissingTeethStatusSchema.array().optional(),
  notIn: MissingTeethStatusSchema.array().optional(),
  not: z.union([MissingTeethStatusSchema, z.lazy(() => NestedEnumMissingTeethStatusFilterObjectSchema)]).optional()
}).strict();
export const NestedEnumMissingTeethStatusFilterObjectSchema: z.ZodType<Prisma.NestedEnumMissingTeethStatusFilter> = nestedenummissingteethstatusfilterSchema as unknown as z.ZodType<Prisma.NestedEnumMissingTeethStatusFilter>;
export const NestedEnumMissingTeethStatusFilterObjectZodSchema = nestedenummissingteethstatusfilterSchema;
